Cadences Records Count

Purpose

To get the number of records processed by different cadences in your Zoho CRM organization.

Endpoints

  • GET /settings/automation/cadences/actions/records_count?ids={cadences_id1},{cadences_id2},{cadences_id3}..

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/cadences/actions/records_count

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.cadences.All

Parameters

  • idsstring, mandatory

    Mention the cadences IDs (in comma-separated format) for which records count must be fetched.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/cadences/actions/records_count?ids=4794410000000820007,4794410000000820007"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    Invalid HTTP method to access the API URL.
    Resolution: Check the HTTP Method of the request.

  • INVALID_DATAHTTP 400

    The ids parameter value is invalid.
    Resolution: Give correct value for the parameter.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    You do not have the scope required to use this API.
    Resolution: Use the correct scope and generate the grant and access tokens.

  • NO_PERMISSIONHTTP 403

    Permission denied.
    Resolution: This error occurs when the user doesn't have permission. Contact administrator to obtain manage workflow permission.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the request URL section at the beginning of this page for more details.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in Server.
    Resolution: Contact support team at support@zohocrm.com.

Sample Response

Copied{
    "cadences_records_count": [
        {
            "count": 7,
            "cadences": {
                "name": "Feedback follow-up",
                "id": "4794410000000820007"
            }
        },
        {
            "count": 4,
            "cadences": {
                "name": "Product follow-up",
                "id": "4794410000000820007"
            }
        }
    ]
}